Bug 747398 - ssldump segfaults within minutes after running it
Summary: ssldump segfaults within minutes after running it
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ssldump
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-19 17:32 UTC by bugfinder
Modified: 2011-11-21 00:02 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-11-20 20:18:23 UTC


Attachments (Terms of Use)
gdb backtrace (9.43 KB, text/plain)
2011-10-19 18:20 UTC, bugfinder
no flags Details

Description bugfinder 2011-10-19 17:32:45 UTC
Run ssldump and visit a few https sites and it segfaults.

gdb backtrace

New TCP connection #141: 192.168.13.100(37367) <-> static.sourceforge.net(443)
141 1  0.2857 (0.2857)  C>S  Handshake
      ClientHello
        Version 3.1 
        cipher suites
        Unknown value 0xff
        Unknown value 0x88
        Unknown value 0x87
        TLS_DHE_RSA_WITH_AES_256_CBC_SHA
        TLS_DHE_DSS_WITH_AES_256_CBC_SHA
        Unknown value 0x84
        TLS_RSA_WITH_AES_256_CBC_SHA
        Unknown value 0x45
        Unknown value 0x44
        TLS_DHE_RSA_WITH_AES_128_CBC_SHA
        TLS_DHE_DSS_WITH_AES_128_CBC_SHA
        Unknown value 0x96
        Unknown value 0x41
        TLS_RSA_WITH_RC4_128_MD5
        TLS_RSA_WITH_RC4_128_SHA
        TLS_RSA_WITH_AES_128_CBC_SHA
        TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA
        TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA
        Unknown value 0xfeff
        TLS_RSA_WITH_3DES_EDE_CBC_SHA
        compression methods
                  NULL
142 5  0.1997 (0.0427)  C>S  Handshake
      ClientKeyExchange
142 6  0.1997 (0.0000)  C>S  ChangeCipherSpec
142 7  0.1997 (0.0000)  C>S  Handshake
142 8  0.2772 (0.0774)  S>C  Handshake

Program received signal SIGSEGV, Segmentation fault.
0x4474a606 in vfprintf () from /lib/libc.so.6
(gdb) bt
#0  0x4474a606 in vfprintf () from /lib/libc.so.6
#1  0x447f7ad1 in __vfprintf_chk () from /lib/libc.so.6
#2  0x0804fe4a in ?? ()
#3  0x08050113 in ?? ()
#4  0x0804cbd0 in ?? ()
#5  0x0805013b in ?? ()
#6  0x08050364 in ?? ()
#7  0x0804d8b4 in ?? ()
#8  0x0804bcec in ?? ()
#9  0x0804ad75 in ?? ()
#10 0x0804affc in ?? ()
#11 0x448c089d in ?? () from /usr/lib/libpcap.so.1
#12 0x448c3d41 in pcap_loop () from /usr/lib/libpcap.so.1
#13 0x080499b9 in ?? ()
#14 0x44720413 in __libc_start_main () from /lib/libc.so.6
#15 0x08049be1 in ?? ()
Backtrace stopped: Not enough registers or memory available to unwind further
(gdb)

Comment 1 Robert Scheck 2011-10-19 17:39:12 UTC
That backtraces doesn't seem to be really helpful. Can you please install the 
needed -debuginfo packages and do a "bt full"?

Comment 2 bugfinder 2011-10-19 18:20:53 UTC
Created attachment 529075 [details]
gdb backtrace

Sorry about that. gdb backtrace is attached.

Comment 3 Fedora Update System 2011-10-24 20:55:22 UTC
ssldump-0.9-0.4.b3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ssldump-0.9-0.4.b3.fc16

Comment 4 Fedora Update System 2011-10-24 20:55:51 UTC
ssldump-0.9-0.4.b3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ssldump-0.9-0.4.b3.fc15

Comment 5 Fedora Update System 2011-10-24 20:56:11 UTC
ssldump-0.9-0.4.b3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ssldump-0.9-0.4.b3.fc14

Comment 6 Fedora Update System 2011-10-24 20:56:45 UTC
ssldump-0.9-0.4.b3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ssldump-0.9-0.4.b3.el6

Comment 7 Fedora Update System 2011-10-24 20:57:15 UTC
ssldump-0.9-0.4.b3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ssldump-0.9-0.4.b3.el5

Comment 8 Fedora Update System 2011-10-24 20:57:33 UTC
ssldump-0.9-0.4.b3.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/ssldump-0.9-0.4.b3.el4

Comment 9 Fedora Update System 2011-10-25 03:06:07 UTC
Package ssldump-0.9-0.4.b3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ssldump-0.9-0.4.b3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14863
then log in and leave karma (feedback).

Comment 10 bugfinder 2011-10-25 05:10:25 UTC
I'm using Fedora 15. Is it okay to use the F16 build or should I wait till it's available in the updates-testing repository for F15?

Comment 11 Fedora Update System 2011-11-20 20:18:23 UTC
ssldump-0.9-0.4.b3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-11-20 20:19:40 UTC
ssldump-0.9-0.4.b3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-11-20 20:19:53 UTC
ssldump-0.9-0.4.b3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-11-20 23:55:22 UTC
ssldump-0.9-0.4.b3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-11-20 23:56:35 UTC
ssldump-0.9-0.4.b3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-11-21 00:02:05 UTC
ssldump-0.9-0.4.b3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.